> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Signal Scan

> Read status, coverage, usage, and any terminal error for one Signal scan.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/projects/{project_id}/runs/{run_id}/signals/scans/{scan_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/runs/{run_id}/signals/scans/{scan_id}:
    get:
      tags:
        - signals-v2
      summary: Get Signal Scan
      description: >-
        Read status, coverage, usage, and any terminal error for one Signal
        scan.
      operationId: >-
        get_signal_scan_v2_projects__project_id__runs__run_id__signals_scans__scan_id__get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
        - name: scan_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Scan Id
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Run Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignalScanDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - ClassicAPIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    SignalScanDetailResponse:
      properties:
        data:
          $ref: '#/components/schemas/SignalScanDetail'
      additionalProperties: false
      type: object
      required:
        - data
      title: SignalScanDetailResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SignalScanDetail:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        scan_number:
          type: integer
          minimum: 1
          title: Scan Number
        trigger:
          $ref: '#/components/schemas/SignalScanMode'
        status:
          $ref: '#/components/schemas/SignalScanStatus'
        window_start:
          type: string
          format: date-time
          title: Window Start
        window_end:
          type: string
          format: date-time
          title: Window End
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        eligible_session_count:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Eligible Session Count
        eligible_span_count:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Eligible Span Count
        sampled_session_count:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Sampled Session Count
        sampled_span_count:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Sampled Span Count
        signals_created:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Signals Created
        signals_updated:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Signals Updated
        sampling_strategy:
          anyOf:
            - type: string
            - type: 'null'
          title: Sampling Strategy
        model:
          type: string
          title: Model
        model_usage:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/pydantic__types__JsonValue'
              type: object
            - type: 'null'
          title: Model Usage
        error:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/pydantic__types__JsonValue'
              type: object
            - type: 'null'
          title: Error
      additionalProperties: false
      type: object
      required:
        - id
        - scan_number
        - trigger
        - status
        - window_start
        - window_end
        - started_at
        - completed_at
        - sampling_strategy
        - model
        - model_usage
        - error
      title: SignalScanDetail
      description: Complete persisted state for one Signal scan.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SignalScanMode:
      type: string
      enum:
        - ON_DEMAND
        - SCHEDULED
      title: SignalScanMode
      description: How a Signal scan starts.
    SignalScanStatus:
      type: string
      enum:
        - QUEUED
        - RUNNING
        - COMPLETED
        - FAILED
      title: SignalScanStatus
      description: Execution state of a Signal scan.
    pydantic__types__JsonValue: {}
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Splunk-AO-API-Key
    ClassicAPIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````